using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace IWS5.DatabaseAccess.IwsDataModels;

[Keyless]
[Table("ATD_DefaultTemplate")]
public partial class AtdDefaultTemplate
{
    [Column("InstanceID")]
    public int? InstanceId { get; set; }

    [Column("DocumentID")]
    public int? DocumentId { get; set; }

    public int? RevNum { get; set; }

    [StringLength(255)]
    public string? RevStatus { get; set; }

    [StringLength(255)]
    public string? Description { get; set; }

    [Column(TypeName = "datetime")]
    public DateTime? DocDate { get; set; }
}
